Novell Home

CVE-2014-4345

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-4345 at MITRE

Description

Off-by-one error in the krb5_encode_krbsecretkey function in plugins/kdb/ldap/libkdb_ldap/ldap_principal2.c in the LDAP KDB module in kadmind in MIT Kerberos 5 (aka krb5) 1.6.x through 1.11.x before 1.11.6 and 1.12.x before 1.12.2 allows remote authenticated users to cause a denial of service (buffer overflow) or possibly execute arbitrary code via a series of "cpw -keepold" commands.

NVD CVSS v2 Base Score: 8.5 (AV:N/AC:M/Au:S/C:C/I:C/A:C)

Novell/SUSE information

Novell Bugzilla entry: 891082

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • krb5-debuginfo >= 1.6.3-133.49.62.1
  • krb5-debuginfo-32bit >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9605
SLE 11 SP3 DEBUGINFO
  • krb5-debuginfo >= 1.6.3-133.49.62.1
  • krb5-debugsource >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SLE 11 SP3 DEBUGINFO
  • krb5-debuginfo >= 1.6.3-133.49.62.1
  • krb5-debuginfo-x86 >= 1.6.3-133.49.62.1
  • krb5-debugsource >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SLE 11 SP3 DEBUGINFO
  • krb5-debuginfo >= 1.6.3-133.49.62.1
  • krb5-debuginfo-32bit >= 1.6.3-133.49.62.1
  • krb5-debugsource >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.62.1
  • krb5-server >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.62.1
  • krb5-devel-32bit >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.62.1
  • krb5-devel-32bit >= 1.6.3-133.49.62.1
  • krb5-server >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.62.1
  • krb5-client >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.62.1
  • krb5-32bit >= 1.6.3-133.49.62.1
  • krb5-client >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.62.1
  • krb5-32bit >= 1.6.3-133.49.62.1
  • krb5-apps-clients >= 1.6.3-133.49.62.1
  • krb5-apps-servers >= 1.6.3-133.49.62.1
  • krb5-client >= 1.6.3-133.49.62.1
  • krb5-doc >= 1.6.3-133.49.62.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.62.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.62.1
  • krb5-server >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.62.1
  • krb5-apps-clients >= 1.6.3-133.49.62.1
  • krb5-apps-servers >= 1.6.3-133.49.62.1
  • krb5-client >= 1.6.3-133.49.62.1
  • krb5-doc >= 1.6.3-133.49.62.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.62.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.62.1
  • krb5-server >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.62.1
  • krb5-apps-clients >= 1.6.3-133.49.62.1
  • krb5-apps-servers >= 1.6.3-133.49.62.1
  • krb5-client >= 1.6.3-133.49.62.1
  • krb5-doc >= 1.6.3-133.49.62.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.62.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.62.1
  • krb5-server >= 1.6.3-133.49.62.1
  • krb5-x86 >= 1.6.3-133.49.62.1
Builds
SAT Patch Nr: 9606

© 2014 Novell